org.apache.commons.math3.optimization

## Class Target

- java.lang.Object
- - org.apache.commons.math3.optimization.Target

All Implemented Interfaces:
  OptimizationData

Deprecated.
As of 3.1 (to be removed in 4.0).

    @Deprecated
    public class Target
    extends java.lang.Object
    implements OptimizationData

Target of the optimization procedure. They are the values which the objective vector function must reproduce When the parameters of the model have been optimized.
Immutable class.

Since:
  3.1
Version:
  $Id: Target.java 1422230 2012-12-15 12:11:13Z erans $

### Field Summary

Fields
`private double[]` `target` Deprecated. Target values (of the objective vector function).

### Constructor Summary

Constructors
Constructor and Description
`Target(double[] observations)` Deprecated.

### Method Summary

Methods
`double[]` `getTarget()` Deprecated. Gets the initial guess.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### target

    private final double[] target

Deprecated.
Target values (of the objective vector function).

### Constructor Detail

#### Target

    public Target(double[] observations)

Deprecated.

Parameters:
  `observations` - Target values.

### Method Detail

#### getTarget

    public double[] getTarget()

Deprecated.
Gets the initial guess.

Returns:
  the initial guess.